package com.hs.api.service;

import com.hs.api.model.SysMenu;
import com.hs.api.model.respmodel.SysMenuList;

import java.util.List;

public interface SysMenuService extends ServiceBase<SysMenu> {

    //顶级菜单的父级id
    final static Integer MENU_TOP_PARENT_ID = 0;

    List<SysMenuList> getMenu(Long userId) throws Exception;

    List<SysMenuList> getMenuByType(Integer menuType) throws Exception;
}
